sampler CC_Texture0;

struct PS_INPUT
{
	vector color : COLOR0; 
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{

	float4 texColor = tex2D( CC_Texture0, input.texcoord0 );
	float4 color = texColor;

	float targetAlpha = 1.0f - input.color.a;

	if ( input.color.r < targetAlpha )
		color.a = 0.0f;

	return color;
	
}
