sampler CC_Texture0;

struct PS_INPUT
{
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 normalColor = tex2D( CC_Texture0, input.texcoord0 );
	//float mid = ( normalColor.r + normalColor.g + normalColor.b ) / 3.0f;
	normalColor.r = fmod( normalColor.r, 4 );
	normalColor.g = fmod( normalColor.g / 16, 4 );
	normalColor.b = fmod( normalColor.b / 64, 4 );
	normalColor.a = 1.0f;//fmod( normalColor.r, 2 );
	
//	if ( normalColor.r  / 255 < 0.5f )
//		normalColor.a = fmod( normalColor.r, 2);
//	else
//		normalColor.a = 0.0f;
		
	return normalColor;
}
