#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

 
void main()
{
	vec4 normalColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	float mid = ( normalColor.r + normalColor.g + normalColor.b ) / 3.0;
	normalColor.r = mid;
	normalColor.g = mid;
	normalColor.b = mid;
		
	gl_FragColor = normalColor;
}