#ifdef GL_ES
precision mediump float;
#endif
 

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
 
void main()
{
	vec4 texColor = texture2D( CC_Texture0, v_texCoord );

	vec4 color = texColor;

	float targetAlpha = 1.0 - v_fragmentColor.a;

	if ( v_fragmentColor.r < targetAlpha )
	{
		color.a = 0.0;
		color.r = 0.0;
		color.g = 0.0;
		color.b = 0.0;
	}
	
	gl_FragColor = color;
}