sampler CC_Texture0;
sampler CC_Texture1;

struct PS_INPUT
{
	vector color : COLOR0;
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 colorImage = input.color * tex2D( CC_Texture0, input.texcoord0 );
	float4 colorFrame = tex2D( CC_Texture1, input.texcoord0 );
	
	
	float4 color = float4( 0.0f, 0.0f, 0.0f, 0.0f );
	if ( colorFrame.a < 0.3 )
	{
		color = colorImage;
		
	}
	else
	{
		color.a = 0.0;
		
	}
	return color;
}
