sampler CC_Texture0;

struct PS_INPUT
{
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 normalColor = tex2D( CC_Texture0, input.texcoord0 );
	float mid = ( normalColor.r + normalColor.g + normalColor.b ) / 3.0f;
	normalColor.r = mid;
	normalColor.g = mid;
	normalColor.b = mid;
	return normalColor;
}
