sampler CC_Texture0;

struct PS_INPUT
{
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 color = tex2D( CC_Texture0, input.texcoord0 );
	
	color.a = color.r;
	color.r *= 0.2;
	color.g *= 1.0;
	color.b *= 0.4;
	
	return color;
}