float4x4 CC_MVPMatrix;
struct VS_INPUT
{
	float4 position : POSITION;
	float2 texcoord0 : TEXCOORD0;
	float4 diffuse : COLOR;
};

struct VS_OUTPUT
{
	float4 position : POSITION;
	float4 diffuse  : COLOR;
	float2 texcoord0 : TEXCOORD0;
};

VS_OUTPUT main( in VS_INPUT input )
{
	VS_OUTPUT output = ( VS_OUTPUT )0;
	output.position = mul( input.position, CC_MVPMatrix );
	output.diffuse = input.diffuse;
	output.texcoord0 = input.texcoord0;
	return output;
}