#ifdef GL_ES
precision mediump float;
#endif
 

varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
 
void main()
{
	vec4 normalColor = texture2D(CC_Texture0, v_texCoord);

	normalColor.a = normalColor.r;
	normalColor.r *= 0.2;
	normalColor.g *= 1.0;
	normalColor.b *= 0.4;
	
	gl_FragColor = normalColor;
}